Skip site navigation (1)Skip section navigation (2)
Date:      Wed, 04 Feb 2026 23:29:03 +0000
From:      Matthias Andree <mandree@FreeBSD.org>
To:        ports-committers@FreeBSD.org, dev-commits-ports-all@FreeBSD.org, dev-commits-ports-main@FreeBSD.org
Subject:   git: 9e9d4c05731f - main - security/openvpn: update to v2.6.19 (bugfixes)
Message-ID:  <6983d63f.251c4.5d7a6017@gitrepo.freebsd.org>

index | next in thread | raw e-mail

The branch main has been updated by mandree:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9e9d4c05731fa863ec2b5e1b896dc83f64695b04

commit 9e9d4c05731fa863ec2b5e1b896dc83f64695b04
Author:     Matthias Andree <mandree@FreeBSD.org>
AuthorDate: 2026-02-04 23:28:23 +0000
Commit:     Matthias Andree <mandree@FreeBSD.org>
CommitDate: 2026-02-04 23:28:54 +0000

    security/openvpn: update to v2.6.19 (bugfixes)
    
    ChangeLog:      https://github.com/OpenVPN/openvpn/blob/v2.6.19/Changes.rst#overview-of-changes-in-2619
    MFH:            2026Q1 (after a few days)
---
 security/openvpn/Makefile                       | 12 ++++++++++--
 security/openvpn/distinfo                       |  6 +++---
 security/openvpn/files/patch-tests__t_cltsrv.sh | 16 ++++++++--------
 3 files changed, 21 insertions(+), 13 deletions(-)

diff --git a/security/openvpn/Makefile b/security/openvpn/Makefile
index f9c5ec8bcb81..24de0901da9b 100644
--- a/security/openvpn/Makefile
+++ b/security/openvpn/Makefile
@@ -1,5 +1,5 @@
 PORTNAME=		openvpn
-DISTVERSION=		2.6.16
+DISTVERSION=		2.6.19
 PORTREVISION?=		0
 CATEGORIES=		security net net-vpn
 MASTER_SITES=		https://swupdate.openvpn.org/community/releases/ \
@@ -16,6 +16,8 @@ LICENSE_FILE=		${WRKSRC}/COPYRIGHT.GPL
 BUILD_DEPENDS+=		cmocka>=0:sysutils/cmocka \
 			rst2man:textproc/py-docutils@${PY_FLAVOR}
 
+TEST_DEPENDS=		fping:net/fping
+
 USES=			cpe libtool localbase:ldflags pkgconfig python:build shebangfix ssl
 USE_RC_SUBR=		openvpn
 
@@ -54,7 +56,6 @@ SMALL_DESC=		Build a smaller executable with fewer features
 UNITTESTS_DESC=		Enable unit tests
 X509ALTUSERNAME_DESC=	Enable --x509-username-field
 
-ASYNC_PUSH_LIB_DEPENDS=	libinotify.so:devel/libinotify
 ASYNC_PUSH_CONFIGURE_ENABLE=	async-push
 
 DCO_CONFIGURE_ENABLE=	dco
@@ -95,6 +96,13 @@ IGNORE_SSL_REASON=OpenVPN does not have permission to include LZO with LibreSSL.
 CONFIGURE_ARGS+=	--enable-comp-stub
 .endif
 
+# FreeBSD 15 added Linux-compatible inotify support
+.if ${PORT_OPTIONS:MASYNC_PUSH}
+. if "${OPSYS}" != "FreeBSD" || ${OSVERSION} < 1500068
+LIB_DEPENDS+=	libinotify.so:devel/libinotify
+. endif
+.endif
+
 .include <bsd.port.pre.mk>
 
 .if !empty(PORT_OPTIONS:MLZO) && !empty(SSL_DEFAULT:Nbase:Nopenssl*)
diff --git a/security/openvpn/distinfo b/security/openvpn/distinfo
index c4a4b27d919d..0bc3904718f4 100644
--- a/security/openvpn/distinfo
+++ b/security/openvpn/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1763303120
-SHA256 (openvpn-2.6.16.tar.gz) = 05cb5fdf1ea33fcba719580b31a97feaa019c4a3050563e88bc3b34675e6fed4
-SIZE (openvpn-2.6.16.tar.gz) = 1933428
+TIMESTAMP = 1770232344
+SHA256 (openvpn-2.6.19.tar.gz) = 13702526f687c18b2540c1a3f2e189187baaa65211edcf7ff6772fa69f0536cf
+SIZE (openvpn-2.6.19.tar.gz) = 1926557
diff --git a/security/openvpn/files/patch-tests__t_cltsrv.sh b/security/openvpn/files/patch-tests__t_cltsrv.sh
index 9d0af3691c87..e15cfcd807ee 100644
--- a/security/openvpn/files/patch-tests__t_cltsrv.sh
+++ b/security/openvpn/files/patch-tests__t_cltsrv.sh
@@ -1,4 +1,4 @@
---- tests/t_cltsrv.sh.orig	2016-08-23 13:10:22 UTC
+--- tests/t_cltsrv.sh.orig	2026-02-04 16:27:00 UTC
 +++ tests/t_cltsrv.sh
 @@ -1,7 +1,7 @@
  #! /bin/sh
@@ -9,10 +9,10 @@
  #
  # This program is free software; you can redistribute it and/or
  # modify it under the terms of the GNU General Public License
-@@ -22,8 +22,9 @@ set -e
- srcdir="${srcdir:-.}"
+@@ -23,8 +23,9 @@ openvpn="${openvpn:-${top_builddir}/src/openvpn/openvp
  top_srcdir="${top_srcdir:-..}"
  top_builddir="${top_builddir:-..}"
+ openvpn="${openvpn:-${top_builddir}/src/openvpn/openvpn}"
 -trap "rm -f log.$$ log.$$.signal ; trap 0 ; exit 77" 1 2 15
 -trap "rm -f log.$$ log.$$.signal ; exit 1" 0 3
 +root="${top_srcdir}/sample"
@@ -21,7 +21,7 @@
  addopts=
  case `uname -s` in
      FreeBSD)
-@@ -45,18 +46,38 @@ esac
+@@ -46,18 +47,38 @@ downscript="../tests/t_cltsrv-down.sh"
  # make sure that the --down script is executable -- fail (rather than
  # skip) test if it isn't.
  downscript="../tests/t_cltsrv-down.sh"
@@ -50,13 +50,13 @@
  for i in 1 2 3 ; do
    set +e
    (
--  "${top_builddir}/src/openvpn/openvpn" --script-security 2 --cd "${root}" ${addopts} --setenv role srv --down "${downscript}" --tls-exit --ping-exit 180 --config "sample-config-files/loopback-server" &
--  "${top_builddir}/src/openvpn/openvpn" --script-security 2 --cd "${top_srcdir}/sample" ${addopts} --setenv role clt --down "${downscript}" --tls-exit --ping-exit 180 --config "sample-config-files/loopback-client"
-+  "${top_builddir}/src/openvpn/openvpn" --script-security 2 \
+-  "${openvpn}" --script-security 2 --cd "${root}" ${addopts} --setenv role srv --down "${downscript}" --tls-exit --ping-exit 180 --config "sample-config-files/loopback-server" &
+-  "${openvpn}" --script-security 2 --cd "${top_srcdir}/sample" ${addopts} --setenv role clt --down "${downscript}" --tls-exit --ping-exit 180 --config "sample-config-files/loopback-client"
++  "${openvpn}" --script-security 2 \
 +      --cd "${root}" ${addopts} --setenv role srv \
 +      --down "${downscript}" --tls-exit --ping-exit 180 \
 +      --config "sample-config-files/loopback-server.test" &
-+  "${top_builddir}/src/openvpn/openvpn" --script-security 2 \
++  "${openvpn}" --script-security 2 \
 +      --cd "${top_srcdir}/sample" ${addopts} --setenv role clt \
 +      --down "${downscript}" --tls-exit --ping-exit 180 \
 +      --config "sample-config-files/loopback-client.test"


home | help

Want to link to this message? Use this
URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?6983d63f.251c4.5d7a6017>